Subject: USB Ethernet gadget on Nokia n900

From: [email-masked] (Pavel Machek)
Date: Tue, 21 Oct 2014 00:03:38 +0200

On Mon 2014-10-20 09:45:42, Tony Lindgren wrote:
> * Pavel Machek <[email-masked]> [141020 06:10]:
> > Hi!
> > 
> > > My N900 can boot kernel from v3.12-rc5-n900 branch compiled with 
> > > arch/arm/configs/rx51_defconfig. Also it can boot full Maemo5 
> > > system (with CSSU and some minor system changes) and usb network 
> > > via g_nokia.ko gadget working fine...
> > > 
> > > So if it does not working for you then kernel usb subsystem could 
> > > have problems with using gadgets directly from zimage.
> > 
> > After some hand-bisecting and real-bisecting, I found two commits that
> > cause problems for 3.13: With these reverted, I get usb networking
> > back in 3.13 on nokia n900.
> > 
> > (Pali, if you revert these, you should get working usb networking in
> > your 3.13 branch, too.)
> > 
> > Any ideas?
> 
> Hmm maybe check if current stable kernels work for you without
> reverting anything ? Few weeks ago I did the the following two fixes
> with cc stable v3.13+:
> 
> 96be39ab34b7 usb: phy: twl4030-usb: Fix regressions to runtime PM on omaps
> 85601b8d81e2 usb: phy: twl4030-usb: Fix lost interrupts after ID pin goes down

I tried these on top of 3.14 (where my revert fixes stuff) and no, it
does not seem to help. (Trying stable would be a bit more work).

Do you want me to try on 3.13, too?
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html